## org.hibernate.type.descriptor
Interface ValueExtractor<X>

All Known Implementing Classes:
  BasicExtractor

    public interface ValueExtractor<X>

Contract for extracting a value from a `ResultSet`.

Author:
  Steve Ebersole

Method Summary
`X` `extract(ResultSet rs, String name, WrapperOptions options)` Extract value from result set

Method Detail

### extract

    X extract(ResultSet rs,
              String name,
              WrapperOptions options)
              throws SQLException

  Extract value from result set

  Parameters:
    `rs` - The result set from which to extract the value
    `name` - The name by which to extract the value from the result set
    `options` - The options
  Returns:
    The extracted value
  Throws:
    `SQLException` - Indicates a JDBC error occurred.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.